GET Attachments/ByUploadDate?assetId={assetId}&beginDate={beginDate}&endDate={endDate}&includeContent={includeContent}
Retrieves attachments for the given parameters. All parameters are optional.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| assetId |
Id of the asset |
globally unique identifier |
None. |
| beginDate |
Beginning upload date of the attachments to retrieve |
date |
None. |
| endDate |
Ending upload date of the attachments to retrieve |
date |
None. |
| includeContent |
Include the file contents of the attachments |
boolean |
Default value is False |
Body Parameters
None.
Response Information
Resource Description
On success, a list of attachments.
| Name | Description | Type | Additional information |
|---|---|---|---|
| Data | Collection of Attachment |
None. |
|
| Total | integer |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"Data": [
{
"AttachmentId": "f359e34e-9345-4c5a-bbf2-e1f69d7c7276",
"Name": "sample string 1",
"Description": "sample string 2",
"AttachmentCategory": {
"AttachmentCategoryId": "92570be9-7d3d-4fd4-a4de-5518a77c5f4a",
"Name": "sample string 1",
"SourceSystemId": "sample string 2",
"CompanyId": "241a318f-58c5-442b-81e0-f41b0b019cfb",
"CreateDate": "2026-11-09T10:32:41.638229-08:00",
"CreateUser": "sample string 4",
"LastModifiedDate": "2026-11-09T10:32:41.638229-08:00",
"LastModifiedUser": "sample string 5"
},
"Asset": {
"AssetId": "89bd353c-9e48-49fe-a625-bbe6462a027c",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayOrder": 1,
"AssetType": {
"AssetTypeId": "83403b86-25b1-46f3-8693-d0a16dbfa483",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "b9ef757b-cd0a-494d-bf09-0531ecbcc855",
"CreateDate": "2026-11-09T10:32:41.638229-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-09T10:32:41.638229-08:00",
"LastModifiedUser": "sample string 7"
},
"AssetGroup": {
"AssetGroupId": "aa1d9b95-d421-46b2-93bd-d6a1cb8dc1a7",
"Name": "sample string 1",
"Description": "sample string 2",
"ParentGroup": null,
"DisplayOrder": 1,
"FormValueNeededDate": "2026-11-09T10:32:41.638229-08:00",
"MeasurementValueNeededDate": "2026-11-09T10:32:41.638229-08:00",
"SourceSystemId": "sample string 3",
"CompanyId": "295d03f8-4bda-41c8-8298-154b1780fd97",
"CreateDate": "2026-11-09T10:32:41.638229-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-09T10:32:41.638229-08:00",
"LastModifiedUser": "sample string 6"
},
"ParentAsset": null,
"Location": "sample string 3",
"Barcode": {
"Format": 0,
"Code": "sample string 1"
},
"FormValueNeededDate": "2026-11-09T10:32:41.638229-08:00",
"MeasurementValueNeededDate": "2026-11-09T10:32:41.638229-08:00",
"HasChildren": true,
"SourceSystemId": "sample string 5",
"CompanyId": "7e6b6647-f599-4fc1-9fdc-0eb583db1282",
"CreateDate": "2026-11-09T10:32:41.638229-08:00",
"CreateUser": "sample string 7",
"LastModifiedDate": "2026-11-09T10:32:41.638229-08:00",
"LastModifiedUser": "sample string 8"
},
"FileType": "sample string 3",
"FileSize": 1,
"UploadDate": "2026-11-09T10:32:41.638229-08:00",
"Content": "QEA=",
"SourceSystemId": "sample string 4",
"CompanyId": "649889be-616c-447e-b9ad-bf59b3608efa",
"CreateDate": "2026-11-09T10:32:41.638229-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-09T10:32:41.638229-08:00",
"LastModifiedUser": "sample string 7"
},
{
"AttachmentId": "f359e34e-9345-4c5a-bbf2-e1f69d7c7276",
"Name": "sample string 1",
"Description": "sample string 2",
"AttachmentCategory": {
"AttachmentCategoryId": "92570be9-7d3d-4fd4-a4de-5518a77c5f4a",
"Name": "sample string 1",
"SourceSystemId": "sample string 2",
"CompanyId": "241a318f-58c5-442b-81e0-f41b0b019cfb",
"CreateDate": "2026-11-09T10:32:41.638229-08:00",
"CreateUser": "sample string 4",
"LastModifiedDate": "2026-11-09T10:32:41.638229-08:00",
"LastModifiedUser": "sample string 5"
},
"Asset": {
"AssetId": "89bd353c-9e48-49fe-a625-bbe6462a027c",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayOrder": 1,
"AssetType": {
"AssetTypeId": "83403b86-25b1-46f3-8693-d0a16dbfa483",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "b9ef757b-cd0a-494d-bf09-0531ecbcc855",
"CreateDate": "2026-11-09T10:32:41.638229-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-09T10:32:41.638229-08:00",
"LastModifiedUser": "sample string 7"
},
"AssetGroup": {
"AssetGroupId": "aa1d9b95-d421-46b2-93bd-d6a1cb8dc1a7",
"Name": "sample string 1",
"Description": "sample string 2",
"ParentGroup": null,
"DisplayOrder": 1,
"FormValueNeededDate": "2026-11-09T10:32:41.638229-08:00",
"MeasurementValueNeededDate": "2026-11-09T10:32:41.638229-08:00",
"SourceSystemId": "sample string 3",
"CompanyId": "295d03f8-4bda-41c8-8298-154b1780fd97",
"CreateDate": "2026-11-09T10:32:41.638229-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-09T10:32:41.638229-08:00",
"LastModifiedUser": "sample string 6"
},
"ParentAsset": null,
"Location": "sample string 3",
"Barcode": {
"Format": 0,
"Code": "sample string 1"
},
"FormValueNeededDate": "2026-11-09T10:32:41.638229-08:00",
"MeasurementValueNeededDate": "2026-11-09T10:32:41.638229-08:00",
"HasChildren": true,
"SourceSystemId": "sample string 5",
"CompanyId": "7e6b6647-f599-4fc1-9fdc-0eb583db1282",
"CreateDate": "2026-11-09T10:32:41.638229-08:00",
"CreateUser": "sample string 7",
"LastModifiedDate": "2026-11-09T10:32:41.638229-08:00",
"LastModifiedUser": "sample string 8"
},
"FileType": "sample string 3",
"FileSize": 1,
"UploadDate": "2026-11-09T10:32:41.638229-08:00",
"Content": "QEA=",
"SourceSystemId": "sample string 4",
"CompanyId": "649889be-616c-447e-b9ad-bf59b3608efa",
"CreateDate": "2026-11-09T10:32:41.638229-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-09T10:32:41.638229-08:00",
"LastModifiedUser": "sample string 7"
}
],
"Total": 1,
"Message": "sample string 1"
}